[package]
name = "mcuboot-config-definition"
version = "0.1.0"
edition = "2021"

# See more keys and their definitions at https://doc.rust-lang.org/cargo/reference/manifest.html

[features]
default = []
with_std = ["strum", "strum_macros" , "cfg-if"]
logging = []
mbed-tls = []
tinycrypt = []
watchdog = []

[dependencies]
strum = {version = "0.23.0", features = ["derive"], optional = true }
strum_macros = {version = "0.23.0", optional = true }
cfg-if = { version = "1.0.0", optional = true }
